﻿using GrapeCity.ActiveReports;
using GrapeCity.ActiveReports.Document;
using System;
using System.IO;
using System.Windows.Forms;

namespace ReportResourceLocator
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            Stream reportData = GetType().Assembly.GetManifestResourceStream("ReportResourceLocator.Rdl1.rdlx");
            reportData.Position = 0;
            StreamReader reader = new StreamReader(reportData);
            PageReport def = new PageReport(reader);
            def.ResourceLocator = new CustomResourceLocator();
            PageDocument runtime = new PageDocument(def);
            viewer1.LoadDocument(runtime);
        }
    }
}
